> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Delete Group > Delete a private room. The following permissions are required: * `delete-p`: To delete a private channel. * `delete-team-group`: To delete a private channel that is part of a team. ### Changelog | Version | Description | | ------- | ------------------------ | |9.0.0 | Returns `403` with `errorType: error-forbidden` instead of `400` when the request is refused. | | 0.71.0 | Removed `group` property | | 0.49.0 | Added | ## OpenAPI ````json POST /api/v1/groups.delete { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Rooms" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Channels" }, { "name": "Directory" }, { "name": "Groups" }, { "name": "Rooms" }, { "name": "Teams" }, { "name": "Room Invites" }, { "name": "Subscriptions" }, { "name": "ABAC" } ], "paths": { "/api/v1/groups.delete": { "post": { "tags": [ "Groups" ], "summary": "Delete Group", "description": "Delete a private room.\n\nThe following permissions are required: \n* `delete-p`: To delete a private channel.\n* `delete-team-group`: To delete a private channel that is part of a team.\n\n### Changelog\n| Version | Description |\n| ------- | ------------------------ |\n|9.0.0 | Returns `403` with `errorType: error-forbidden` instead of `400` when the request is refused. |\n| 0.71.0 | Removed `group` property |\n| 0.49.0 | Added |", "operationId": "post-api-v1-groups.delete", "parameters": [ { "$ref": "#/components/parameters/Auth-Token" }, { "$ref": "#/components/parameters/UserId" } ], "requestBody": { "content": { "application/json": { "schema": { "type": "object", "properties": { "roomId": { "type": "string", "example": "ByehQjC44FwMeiLbX", "description": "Enter the room ID. This parameter is required if no `roomName` is provided. You can find the IDs by using any of the following endpoints:\n* Get List of User Groups: This endpoint returns all private channels in the workspace, if you have the required permissions to view them.\n* Get Groups: This endpoint returns the private channels that you are a member of." }, "roomName": { "type": "string", "example": "private-abc", "description": "Enter the room name. This parameter is required if no `roomId` is provided." } } } } } }, "responses": { "200": { "$ref": "#/components/responses/trueSuccess" }, "401": { "$ref": "#/components/responses/authorizationError" }, "403": { "description": "Forbidden", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" }, "errorType": { "type": "string" } } }, "examples": { "No permission": { "value": { "success": false, "error": "Not allowed [error-not-allowed]", "errorType": "error-forbidden" } } } } } } } } } }, "components": { "parameters": { "Auth-Token": { "name": "X-Auth-Token", "in": "header", "description": "The `authToken` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "UserId": { "name": "X-User-Id", "in": "header", "description": "The `userId` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" } }, "responses": { "trueSuccess": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" } } }, "examples": { "Success": { "value": { "success": true } } } } } }, "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "success": false, "error": "You must be logged in to do this." } } } } } } } } } ````